<html>
<head>
<title>AJAX testing</title>
<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1">
<script language="JavaScript" type="text/javascript" 
		src="JsonRequest.js"></script>
<script>

	//slow down the event handler...
	var searching;
	function doRequestTimeout(dat){
		clearTimeout(searching);
		searching = setTimeout('doRequest("'+dat+'")', 300);
	}

	//display data returned by ajax...
	function display(data){
		var displayDiv;
		displayDiv = document.getElementById("cityList");
		
		//set to visible if not already
		displayDiv.style.display = 'block';
		displayDiv.innerHTML = '';
		
		//start the unordered list
		displayDiv.innerHTML = '<ul class="cities">';
		
		//populate the list
		for(i in data){
			displayDiv.innerHTML += '<li><a href="#" onClick="populateTextField(\''+data[i]+'\');">'+data[i]+'</a></li>';
		}
		
		//end the unordered list
		displayDiv.innerHTML += '</ul>';
	}
	
	//declare url for json requests...
	var url = 'ajax-query.php'
	
	//create json request object
	//arguments own name, callback function to process data once request has been made
	var json = new JsonRequest('json', new Function('data', 'display(data)'));
	
	//function to be called to get the results from the server
	function doRequest(text){
		json.makeRequest(url+"?city="+text);
	}
	
	//populate the text field with the result that was clicked on
	function populateTextField(datum){
		document.getElementById("cityField").value = datum;
		document.getElementById("cityList").style.display = 'none';
	}
	
</script>
<style>

	
	#cityList ul{
		margin: 0px;
		padding: 0px;
	}

	#cityList li{
		display:block;
	}
	
	#cityList li a {
		border-bottom: 1px solid #fff;
		display: block;
		padding-left: 10px;
		font-family: arial;
		font-weight: bold;
		font-size: 11px;
		text-decoration: none;
		background: #B3B3B5;
		color: #fff;
	}
	
	#cityList li a:hover {
		background: #37445E;
	}
</style>
</head>

<body>

<input type="text" name="city" id="cityField" onKeyUp="doRequestTimeout(document.getElementById('cityField').value);">

<div id="cityList" style="width:360px;"></div>

</body>
</html>
